#ifndef __DLGPREFERENCES_H__
#define __DLGPREFERENCES_H__

#include <kcolorbutton.h>
#include <kdialogbase.h>
#include <qcolor.h>
#include <qcheckbox.h>

class dlgPreferences : public KDialogBase
{
	Q_OBJECT
public:
	dlgPreferences( QWidget *parent );
	~dlgPreferences();

	QColor color();
	void setColor( QColor color );
	bool saveClipboard();
	void setSaveClipboard( bool saveclipborad );
private:
	QColor m_color;
	KColorButton* btnColor;
	QCheckBox* chkSaveClipboard;

private slots:
	void slotEnableButtonOK();
	void slotDefault();
};
#endif /* __DLGPREFERENCES_H__ */
