#ifndef __DLGEDIT_H__
#define __DLGEDIT_H__

#include <kcombobox.h>
#include <kdebug.h>
#include <kdialogbase.h>
#include <kiconloader.h>
#include <klineedit.h>
#include <klocale.h>
#include <qstring.h>

class dlgEdit : public KDialogBase
{
	Q_OBJECT
public:
	enum EditModes { APPEND, EDIT };
	dlgEdit( QWidget *parent );
	~dlgEdit();
	void setEditMode( EditModes );
	QString from();
	void setFrom( QString from );
	QString to();
	void setTo( QString to );
	QString type();
	void setType( QString type );
private:
	KLineEdit* txtFrom;
	KLineEdit* txtTo;
	KComboBox* cbxType;

};
#endif /* __DLGEDIT_H__ */
